#!/bin/bash

if [ -z "$1" ]; then
    printf " $ %s [amsbackend|nginx]\n" $0
    exit 1
fi

[ -z "${DOCKER}" ] && DOCKER=$(which docker)
[ -z "${DOCKER}" ] && DOCKER=/usr/bin/docker

if [ "$1" = "amsbackend" ]; then
    # Build Docker Image (amsbackend)
    cd `dirname $(find /home/astros -name Dockerfile)` && $DOCKER build -f="Dockerfile" -t="amsbackend:latest" .
    exit $?
fi

if [ "$1" = "nginx" ]; then
    # Build Docker Image (nginx)
    cd `dirname $(find /home/astros -name dockerfile)` && $DOCKER build -f="dockerfile" -t="nginx:latest" .
    exit $?
fi
