#!/bin/bash

# check if mac address of network adapter changed
IP=$(hostname -I | awk '{ print $1 }')
MAC=$(ip addr | grep $IP -B1 | awk '{print $2}' | grep ':')
SUFFIX=$(echo $MAC | rev | cut -d: -f2 | rev)$(echo $MAC | rev | cut -d: -f1 | rev)
#printf "$IP\t$MAC\t$SUFFIX\n"
if [ "$(hostname)" != "AstrogateMGM-${SUFFIX^^}" ]; then
    printf "\nChange hostname '%s' to '%s' ...\n" $(hostname) AstrogateMGM-${SUFFIX^^} > /dev/tty1
    printf " - Change hostname '%s' to '%s' ...\n" $(hostname) AstrogateMGM-${SUFFIX^^} >> $LOG_PATH
    hostnamectl set-hostname AstrogateMGM-${SUFFIX^^} #&& /usr/sbin/reboot
    pgrep -f hostclient && [ $? -eq 0 ] && kill -9 $(pgrep -f hostclient) && printf " * Stop hostclient due to network adapter changed\n $ kill -9 S(pgrep -f hostclient)\n" >> $LOG_PATH
fi