#!/bin/bash

if [ -z "$1" ] && [ -z "$2" ]; then
    echo [EXAMPLE] $0 /etc/mongodb.conf /usr/src/app/storage
    exit 0
fi

if [ ! -d $2 ]; then
	echo [ERROR] '$2' doesn\'t exist
	exit 0
fi

FILE=$1
NEW_URI=$2

LINE_NUM=`grep dbpath $FILE -n | cut -f1 -d:`
# echo [DEBUG] $LINE_NUM

ARG='/dbpath/d'
sed $ARG $FILE > tmp.conf
# sed '/dbpath/d' $FILE > tmp.conf

LINE_NUM=$((LINE_NUM-1))

ARG='a\dbpath=\'
sed $LINE_NUM$ARG$NEW_URI < tmp.conf > out
# sed '$LINE_NUMa\dbpath=12345' < tmp.conf > tmp2.conf

cp out $FILE
rm tmp.conf out

echo [INFO] \'$FILE\' updated.

sync
