#!/bin/bash

LOG_PATH=/home/astros/log

ret=$($DOCKER ps --filter name=amsbackend | wc -l)
if [ $ret -eq 1 ]; then
    printf " @reboot Docker won't launch (amsbackend)\n" >> $LOG_PATH
fi

ret=$($DOCKER ps --filter name=nginx | wc -l)
if [ $ret -eq 1 ]; then
    printf " @reboot Docker won't launch (nginx)\n" >> $LOG_PATH
fi

ret=$($DOCKER ps --filter name=amsbackend | wc -l)
if [ $ret -eq 1 ]; then
    printf "\nFailed to start ASTROS Manager service, please check your VM memory and hard disk space then restart it again\n" > /dev/tty1
    exit 0
fi

ret=$($DOCKER ps --filter name=nginx | wc -l)
if [ $ret -eq 1 ]; then
    printf "\nFailed to start ASTROS Manager service, please check your VM memory and hard disk space then restart it again\n" > /dev/tty1
    exit 0
fi