#!/bin/bash

[ ! -d "./host/.storage" ] && mkdir ./host/.storage -p

echo ### Building Docker Image...
docker build -f="Dockerfile" -t="amsbackend:latest" .

echo
echo ### Stop all containers...
docker stop $(docker ps -q --filter name=amsbackend)

echo
echo ### Running Docker Image...
docker run -v "$(pwd)/host/.storage":"/usr/src/app/storage" -h AstrogateMGM --rm -p 5688:5688 --name amsbackend amsbackend:latest /bin/bash AMS