@echo off

cd host
if not exist .storage (
    mkdir .storage
)
cd ..

echo ### Building Docker Image...
docker build -f="Dockerfile" -t="amsbackend:latest" .

echo.
echo ### Stop all containers...
rem FOR /f "tokens=*" %i IN ('docker ps -q') DO docker stop %i
FOR /f "tokens=*" %%i IN ('docker ps -q --filter "name=amsbackend"') DO docker stop %%i

echo.
echo ### Running Docker Image...
docker run -v "%CD%/host/.storage":"/usr/src/app/storage" -h AstrogateMGM --rm -p 5688:5688 --name amsbackend amsbackend:latest /bin/bash AMS

echo.
pause